Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Bar_AreaInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.AreaInfo
              jet.report.xls.Bar_AreaInfo

    public class Bar_AreaInfo

extends AreaInfo

Contains the information of bar area chart type in the file. The class extends AreaInfo.

Field Summary
`static short` | `AREASTACKED` Represents statched area chart.
`static short` | `F100STACKED` Represents 100% Stacked bar Chart.
`static short` | `NORMAL` Represents Normal bar Chart.
`static short` | `STACKED` Represents Stacked bar Chart.

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`Bar_AreaInfo(short dataLabel, short barStyle)` Constructs class BarInfo and sets its fields appropriately.

Method Summary
`short` | `getBarStyle()` Gets the style of the bar.
`int` | `getChartType()` Gets the type of the chart.
`ChartLabelInfo` | `getX1AxisName()` Gets the minor x axis name of bar_area chart.
`ChartLabelInfo` | `getY1AxisName()` Gets the minor y axis name of bar_area chart.
`void` | `setBarStyle(short barStyle)` Sets the style of the bar.
`void` | `setX1AxisName(ChartLabelInfo x1AxisName)` Sets the minor x axis name of bar_area chart.
`void` | `setY1AxisName(ChartLabelInfo y1AxisName)` Sets the minor y axis name of bar_area chart.

Methods inherited from class jet.report.xls.AreaInfo
`getStyle, hasShadow, setHasShadow, setStyle`

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final short NORMAL

  Represents Normal bar Chart.

  See Also:
    Constant Field Values

### STACKED

    public static final short STACKED

  Represents Stacked bar Chart.

  See Also:
    Constant Field Values

### F100STACKED

    public static final short F100STACKED

  Represents 100% Stacked bar Chart.

  See Also:
    Constant Field Values

### AREASTACKED

    public static final short AREASTACKED

  Represents statched area chart.

  See Also:
    Constant Field Values

Constructor Detail

### Bar_AreaInfo

    public Bar_AreaInfo(short dataLabel,
                        short barStyle)

  Constructs class BarInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, and 16 for show label
    `barStyle` - style of bar, which can be either NORMAL, STACKED or F100STACKED

Method Detail

### getChartType

    public int getChartType()

  Gets the type of the chart.

  Overrides:
    `getChartType` in class `AreaInfo`
  Returns:
    type of the chart

### getX1AxisName

    public ChartLabelInfo getX1AxisName()

  Gets the minor x axis name of bar_area chart.

  Returns:
    the minor x axis name of bar_area chart

### setX1AxisName

    public void setX1AxisName(ChartLabelInfo x1AxisName)

  Sets the minor x axis name of bar_area chart.

  Parameters:
    `x1AxisName` - the minor x axis name of bar_area chart

### getY1AxisName

    public ChartLabelInfo getY1AxisName()

  Gets the minor y axis name of bar_area chart.

  Returns:
    the minor y axis name of bar_area chart

### setY1AxisName

    public void setY1AxisName(ChartLabelInfo y1AxisName)

  Sets the minor y axis name of bar_area chart.

  Parameters:
    `y1AxisName` - the minor y axis name of bar_line chart

### getBarStyle

    public short getBarStyle()

  Gets the style of the bar. `STACKED` `NORMAL` `F100STACKED`

  Returns:
    style of the bar

### setBarStyle

    public void setBarStyle(short barStyle)

  Sets the style of the bar. `STACKED` `NORMAL` `F100STACKED`

  Parameters:
    `barStyle` - style of the bar

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD